Deployment of Compact Language Links
Open, NormalPublic

Description

Plan for deployment of Compact Language Links:

Stage 0

  • Beta and testwikis configuration tests.

Stage 1 – Week 1 Tuesday 21/06

  • All users for Wikivoyage and Wikiversity

Stage 2 – Week 1 Thursday 23/06

  • All users of #234 to #283 (as per article count) Wikipedia
  • All users of Wikinews and Wikibooks

Stage 3 – Week 2 Monday 27/06

  • All users of #160 to #233 (as per article count) Wikipedias
  • All users of Wikiquote

Stage 3.5 – Week 2 Thursday 30/06

  • All users in #91 to #159 (as per article count) Wikipedias
  • All users of Wiktionary [Exceptions: English (en), French (fr), Malagasy (mg), Russian (ru), Chinese (zh)

Stage 4 – Week 3 Thursday 07/07

  • All users in top #41 - #90 (as per article count) Wikipedias.
  • All users of Wiktionary.

Stage 4.5 – Week 4 Thursday 14/07

  • All users in top #17 - #40 (as per article count) Wikipedias.

Stage 5 – Week 5 Thursday 28/07

  • All users in top #16 Wikipedias except English, German, French, Swedish and Dutch.
    • Cebuano (ceb)
    • Russian (ru)
    • Italian (it)
    • Spanish (es)
    • Waray-Waray (war)
    • Polish (pl)
    • Vietnamese (vi)
    • Japanese (ja)
    • Portuguese (pt)
    • Chinese (zh)
    • Ukrainian (uk)
  • All users in Incubator.

Note: This is the tentative deployment schedule. In case of any technical or other issues encountered at any stage, the dates for the subsequent stages may be adjusted as per need.

Related Objects

There are a very large number of changes, so older changes are hidden. Show Older Changes
KartikMistry updated the task description. (Show Details)Jun 21 2016, 4:02 PM
KartikMistry updated the task description. (Show Details)Jun 21 2016, 4:13 PM
KartikMistry updated the task description. (Show Details)Jun 21 2016, 4:28 PM

Change 295454 had a related patch set uploaded (by KartikMistry):
Deploy Compact Language Links as default (Stage 2)

https://gerrit.wikimedia.org/r/295454

KartikMistry updated the task description. (Show Details)Jun 22 2016, 5:53 AM

Change 295454 merged by jenkins-bot:
Deploy Compact Language Links as default (Stage 2)

https://gerrit.wikimedia.org/r/295454

KartikMistry updated the task description. (Show Details)Jun 24 2016, 7:36 AM

Change 296180 had a related patch set uploaded (by KartikMistry):
Deploy Compact Language Links as default (Stage 3)

https://gerrit.wikimedia.org/r/296180

KartikMistry updated the task description. (Show Details)Jun 27 2016, 5:59 AM

Change 296180 merged by jenkins-bot:
Deploy Compact Language Links as default (Stage 3)

https://gerrit.wikimedia.org/r/296180

KartikMistry updated the task description. (Show Details)Jun 27 2016, 3:30 PM

Change 296501 had a related patch set uploaded (by KartikMistry):
Deploy Compact Language Links as default (Stage 3.5)

https://gerrit.wikimedia.org/r/296501

Arrbee updated the task description. (Show Details)Jun 29 2016, 6:24 AM
NickK added a subscriber: NickK.Jun 29 2016, 11:38 AM

As an active interwiki user I am very surprised by this deployment. In the current state this extension is more harmful than useful for two main reasons:

  1. Weird priorisation of languages. For instance, I was surprised that https://en.wikiquote.org/wiki/Albert_Einstein has no visible German interwiki. It is obviously valuable to read this article in German, as it can contain both quotes originally in German and more quotes (as German users are more likely to be interested in the article). Instead, German is well hidden behind "worldwide" and "American" (Dutch for what it's worth) in the middle of Europe. Instead, I see an Urdu page which is completely useless: https://ur.wikiquote.org/wiki/%D8%A2%D8%A6%D9%86_%D8%B3%D9%B9%D8%A7%D8%A6%D9%86

I would propose to use the following criteria:

  • content-related languages, e.g. language(s) of the country where the object is, where the person lives/d etc. These languages are more likely to have useful information
  • languages with best-quality articles, e.g. good and featured. Those are more likely to be interested than stubs without sources, and this will motivate editors (your article is more visible on the interwikis if it is better written).
  • for registered users, user-related languages, i.e. languages a given user speaks. E.g. I have German in my Babel, thus I expect to see it on the interwiki list everywhere as I can read it.
  1. Impossible to disable this locally. I often work on content in multiple (10+) wikis, and I want to see a full list of interwikis in each wiki. Still, I need to disable this locally, which requires me to do the same action at least 200 times. A possibility to globally disable this is very useful.

And one more thing: please do not do such things without asking the community first. Multilingualism is very important for Wikimedia projects, and hiding our linguistic diversity in some drop-down menu can have bad effects on both editors and readers.

Thank you

Thanks for your feedback @NickK. Some comments below:

1.Weird priorisation of languages.

The main factor for choosing the languages are the previous language selections from the user. Users accessing content in German will have German as an easy to access option next time.

The first time, due to the lack of previous choices, the language selection is based on other factors. These include the languages of the user browser (also configurable by the user based on their language preferences), and geographic information (which is based on CLDR data to which anyone can contribute).

One relevant aspect about languages is that people usually pick the languages among the relatively small set of languages they speak. Since those are the languages that allow them to understand the content. There are several valid usecases to access content in languages you don't know, but that tends to happen less frequently and while supporting those makes sense I think we should still optimise for the common cases.

For the case of Wikiquote it makes sense to access the quotes in their original version, and surfacing German in your example according to that makes sense. We are definitely interested in supporting these and other usecases that can be supported better.

However, I don't think that that invalidates the whole idea of the language selector.

When we have tested the selector, even for languages not shown in the initial list, the selection process takes less effort. For example, with the plain list like the one in Einstein Wikipedia article, where you have to scan through 34 other languages until you find "Deutsch" (or 179 if you are looking for Yiddish).

We've also observed users relying on the browser search for locating their language in long lists, but the browser search does not focus on languages (highlighting any matches in the article text) and requires exact search. Our selector instead allows to search languages and supports a flexible input (with the language selector you can look for either "German", "Deutsch", or the equivalent in other languages, even with some typos, or typing the ISO code "DE" if you prefer).

Multilingualism is very important for Wikimedia projects, and hiding our linguistic diversity in some drop-down menu can have bad effects on both editors and readers.

Putting the languages you are potentially interested in the middle of a long flat list may be an effective way to "hide" them. What we are trying to do here is to surface the languages that are more relevant for users to avoid them getting lost in a sea of links.

If you are a Yiddish speaker, when you reach the Einstein article you need to scan through 179 languages to check if the article is available in your languages. Considering that Yiddish wikipedia has ~13K articles, you may get used to not finding your language in many articles, and less encouraged to try and find it in the fewer articles that are available. Surfacing that the content is available in the languages you are interested makes them harder to miss.

In addition, the proposed selector seems also to work well to give a general impression on the number of languages an article is available. Something that requires a lot of manual counting with the flat list.

Impossible to disable this locally. I often work on content in multiple (10+) wikis, and I want to see a full list of interwikis in each wiki.

We are really interested in hearing about the different usecases that are easier to achieve with a flat list, to identify how those can be supported better. Please, feel free to provide the details on what you try to achieve and which are the steps you follow in your process.

Regarding disabling, we are a bit limited by the lack of global settings. However, we have captured the idea of providing an example of Javascript to let users achieve that when needed (T138282). Although we aim to understand the different usecases and better support them.

And one more thing: please do not do such things without asking the community first.

We are in a process of gradual deployment where we are taking it into steps to capture all kinds of feedback during the process. Previous to that, we did the following:

  • Enable a beta feature for many months for users to try. Thousands of users have been doing so (e.g., 39,268 in English Wikipedia).
  • Fix the different issues the community helped us to identify.
  • Do research to verify that language selection was easier and faster with a list surfacing the commonly selected languages by the user than manually scanning a long flat list.
  • Use the language selection pattern in other products such as Content Translation or language settings (also subjected to user research and usability testing).
  • Instrument the list of languages so that we can measure the effects on cross-language navigation.

We are open to ideas on how to better involve the community in our processes. So feel free to provide any suggestion regarding that.

Change 296501 merged by jenkins-bot:
Deploy Compact Language Links as default (Stage 3.5)

https://gerrit.wikimedia.org/r/296501

Mentioned in SAL [2016-06-30T15:27:13Z] <thcipriani@tin> Synchronized dblists/clldefault.dblist: SWAT: [[gerrit:296501|Deploy Compact Language Links as default (Stage 3.5) (T136677)]] (duration: 00m 26s)

For the case of Wikiquote it makes sense to access the quotes in their original version, and surfacing German in your example according to that makes sense. We are definitely interested in supporting these and other usecases that can be supported better.

The idea was captured in T70077.

KartikMistry updated the task description. (Show Details)Jul 1 2016, 7:05 AM
KartikMistry updated the task description. (Show Details)Jul 1 2016, 7:15 AM
KartikMistry updated the task description. (Show Details)
KartikMistry updated the task description. (Show Details)

Change 297349 had a related patch set uploaded (by KartikMistry):
Deploy Compact Language Links as default (Stage 4)

https://gerrit.wikimedia.org/r/297349

Change 297349 merged by jenkins-bot:
Deploy Compact Language Links as default (Stage 4)

https://gerrit.wikimedia.org/r/297349

Mentioned in SAL [2016-07-07T15:11:16Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:297349|Deploy Compact Language Links as default (Stage 4) (T136677)]] PART I (duration: 00m 55s)

Mentioned in SAL [2016-07-07T15:11:57Z] <thcipriani@tin> Synchronized dblists/clldefault.dblist: SWAT: [[gerrit:297349|Deploy Compact Language Links as default (Stage 4) (T136677)]] PART II (duration: 00m 34s)

KartikMistry updated the task description. (Show Details)Jul 7 2016, 3:14 PM
KartikMistry updated the task description. (Show Details)Jul 8 2016, 7:05 AM

Change 298134 had a related patch set uploaded (by Dereckson):
State Compact Language Links isn't beta anymore

https://gerrit.wikimedia.org/r/298134

Change 298134 merged by jenkins-bot:
State Compact Language Links isn't beta anymore

https://gerrit.wikimedia.org/r/298134

Mentioned in SAL [2016-07-11T15:37:19Z] <thcipriani@tin> Synchronized wmf-config/CommonSettings.php: SWAT: [[gerrit:298134|State Compact Language Links is not beta anymore (T136677)]] (duration: 00m 26s)

@Dereckson Thanks for {{gerrit|298134}} patch.

You're welcome.

Change 298735 had a related patch set uploaded (by KartikMistry):
Deploy Compact Language Links as default (Stage 4.5)

https://gerrit.wikimedia.org/r/298735

Change 298735 merged by jenkins-bot:
Deploy Compact Language Links as default (Stage 4.5)

https://gerrit.wikimedia.org/r/298735

KartikMistry updated the task description. (Show Details)Jul 14 2016, 4:00 PM
Epiq added a subscriber: Epiq.Jul 16 2016, 11:06 AM

Am I writing in the right place? This feature is very poorly executed, just awful. The list is a total mess. First of all, the distinction between "big languages" an "common languages" makes no sense to a regular Wikipedia reader (at least in Finnish). In which universe are Interlingua and Volapük "big languages"? The layout and organization of others is haphazard at best. Under "North America" for instance, I might expect to find English, but instead I have Dutch. Seriously? Not to mention the fact that it's simply a poor idea to hide all of these language links behind a click – and into a freaking popup window – and attempt to categorize them geographically.

Why was no there no local discussion on this prior to implementation? I would have certainly given my opinion...

The mobile version works fine. There is a single list of languages. Not behind a click. A few of the most used languages get lifted up to the beginning of the list. This is fine, and pretty useful even. Why was not simply the same thing done here? Please, please, revert this back immediately.

Hi All! Please, tell me, what can I do to disable this "Compact Language Links" anywhere on any Wikimedia project. Because it definitely paralyses my work with them. It paralyses my work not only as Wikimedia project editor, but paralyses my work with all Wikimedia projects as sources of information anywhere outside of WMF. If You can't offer me, any usable solution, please tell me, where else could I defense my rights to non impeded information from any Wikimedia project as source. Thanks for answer.

WTM awarded a token.Jul 16 2016, 4:45 PM

Hi All! Please, tell me, what can I do to disable this "Compact Language Links" anywhere on any Wikimedia project. Because it definitely paralyses my work with them.

Hello, we are a bit limited at the moment by the lack of global settings to disable across all wikis (currently tracked at T120385) which we are following up for a long term solution. However, we have a workaround via Javascript for users who require this option for their immediate needs. You can find it here: T138282#2420872. Thank you.

Hello,

Am I writing in the right place? This feature is very poorly executed, just awful. The list is a total mess. First of all, the distinction between "big languages" an "common languages" makes no sense to a regular Wikipedia reader (at least in Finnish). In which universe are Interlingua and Volapük "big languages"? The layout and organization of others is haphazard at best. Under "North America" for instance, I might expect to find English, but instead I have Dutch. Seriously? Not to mention the fact that it's simply a poor idea to hide all of these language links behind a click – and into a freaking popup window – and attempt to categorize them geographically.

I am not sure about the reference to 'big languages' in here. However, considering the examples like Interlingua and Volapük, its mostly likely the section called Worldwide languages which includes a mix of several major world languages like English, French, Chinese and also several artificial languages. This supplements the regional groups that you see in the same dialogue. We did notice that some languages were not being displayed in appropriate regional groups and this is now being tracked in a ticket (T137868)

The Common languages section is expected to list the most relevant languages for individual users as they keep selecting between languages as per their needs. If you don't see that happening, do please let us know.

Why was no there no local discussion on this prior to implementation? I would have certainly given my opinion...

The mobile version works fine. There is a single list of languages. Not behind a click. A few of the most used languages get lifted up to the beginning of the list. This is fine, and pretty useful even. Why was not simply the same thing done here? Please, please, revert this back immediately.

As my team mate @Pginer-WMF has already mentioned earlier in this ticket, prior to start of the gradual deployment, the beta feature was enabled for nearly 2 years and we fixed different issues the users helped us to identify. We are open to ideas on how to better collect community feedback as part of our processes, so please feel free to provide any suggestion regarding that. Thanks.

Epiq added a comment.EditedJul 18 2016, 7:48 PM

I am not sure about the reference to 'big languages' in here. However, considering the examples like Interlingua and Volapük, its mostly likely the section called Worldwide languages which includes a mix of several major world languages like English, French, Chinese and also several artificial languages. This supplements the regional groups that you see in the same dialogue.

All right, this seems to be a problem with the translation, then. I have no idea what these terms are supposed to be in English, as the feature does not seem to be enabled in the English wiki. In Finnish they make no sense. I still maintain that trying to group the languages like this is unnecessarily complicated.

As my team mate @Pginer-WMF has already mentioned earlier in this ticket, prior to start of the gradual deployment, the beta feature was enabled for nearly 2 years and we fixed different issues the users helped us to identify. We are open to ideas on how to better collect community feedback as part of our processes, so please feel free to provide any suggestion regarding that. Thanks.

I'm just a regular editor, so I don't know what has been beta-tested and where (I guess I should be paying more attention, somewhere?). What I meant was that I have not seen any community discussion within my local Wikipedia whether or not anyone would actually like to have this feature or not (nor any information about it prior to implementation from your end). It's kind of amazing that the feature seems this messed up after two years of development.

As for my suggestions, I gave them above. Please make the list more simple, and get rid of the pop-up window. A similar approach that you had for the mobile version would be good. I don't understand the need for this kind of complexity. I mean seriously, compare the situation in the English wiki and the Finnish one: which list is more complicated to navigate, the English one with 17 languages – or the Finnish one with a separate scrollable pop-up window, five different categories and two columns of text!?

Epiq added a comment.Jul 18 2016, 9:12 PM

There's one other point I would like to make. I recognise the fact that I am probably in a fairly small minority of Wikipedia readers, but hiding the interwiki links like this actually causes me a lot of extra trouble instead of helping me. I am interested in a fairly wide array of languages, as well as seeing, which languages are available for a given topic. For example, on the Finnish Wikipedia page on Philippe Buonarroti (https://fi.wikipedia.org/wiki/Philippe_Buonarroti), nine interwiki links are shown and seven are hidden. I have to open a pop-up window to know which languages they are. Instead of showing me a list of those previously hidden languages, I have a long list of all the available languages grouped into six (!) different categories, some geographical and some not, with some languages repeated (e.g. Russian is on the list three times). If I was searching for Hungarian, for instance, I would have no way of knowing whether it actually exists, and I would have to browse through a long and confusingly, unintuitively arranged list to actually know that yes, there is a Hungarian article available on the topic.

It seems to be a larger trend to only show users content that a service presumes that they would be interested in. I'm sure that this is often terribly useful, although sometimes problematic (as in the case of Google algorithms that leave out certain search results and bring up others, for example). Here, however, that is currently executed in a way that I find quite annoying. Using a simple, alphabetised list in which what you see is all there is can in many situations actually be easier, more equal, neutral and helpful. Browsing different languages and moving between them, which I like to do a lot, becomes much more difficult with this kind of an arrangement.

KartikMistry updated the task description. (Show Details)Jul 28 2016, 8:32 AM

Change 301555 had a related patch set uploaded (by KartikMistry):
Deploy Compact Language Links as default (Stage 5)

https://gerrit.wikimedia.org/r/301555

KartikMistry updated the task description. (Show Details)Jul 28 2016, 9:10 AM
Restricted Application added a subscriber: Base. · View Herald TranscriptJul 28 2016, 9:10 AM

Change 301555 merged by jenkins-bot:
Deploy Compact Language Links as default (Stage 5)

https://gerrit.wikimedia.org/r/301555

KartikMistry updated the task description. (Show Details)Jul 28 2016, 3:32 PM
Natuur12 added a comment.EditedAug 1 2016, 10:09 AM

Per Taketa. This really works terrible. You should have sought consensus before deploying this.

We are especially interested in examples where the default language list makes it more convenient to select the language you are interested in accessing. If you can give some examples where the proposed selector makes it worse than the default one with some context on the purpose of the selection that would be really useful.

My apologies that it took me so long to reply. I forgot about it. I often have to revert the Commons delinker bot. Being able to easily check the articles not listed by the delinker bot log is a great help for me. (Providing an extra service to the community) Also, when adding images a about a person, species etc I add it to all the available language versions. Last but not least. When tracking a cross wiki vandal it also comes in handy to be able to quickly check every article via the interwiki links. If you would just fix global settings instead first there would not be a problem at all.

Thanks @Natuur12, for the additional details about those usecases.
These are totally valid scenarios and it would be great to see how we can better support them. Some ideas such as facilitating the reuse of images across languages (T54464) or allowing a cross-language navigation mode such as providing controls/shortcuts to move to next/previous language version of the article (T144408).

Meanwhile, accessing the "edit links" action which leads to the Wikidata interlanguage links table could be also an alternative to have a more static table of language links less aimed at language switching.

The availability of global settings is something outside the scope of our project, but I also agree that this would be something that would have a positive impact on this and many other projects.

Shizhao closed this task as Resolved.Apr 7 2017, 1:57 PM
Shizhao added a subscriber: Shizhao.

deploy all done

Amire80 reopened this task as Open.Apr 7 2017, 2:01 PM
Amire80 added a subscriber: Amire80.

Not yet :)

Not yet :)

If you're asking the Russian Wikivoyage: T138524: Disable Compact Language Links on Russian Wikivoyage If not, err... which project is still not enabling CLL for all users? Or for all anonymous users (i.e. T159620: Option for anonymous users to disable/enable compact language links)?

English and German Wikipedias. Will be deployed there Soon, but there's no precise date yet.